/*
   ┏━━━┓╱╱╱╱╱┏┓╱╱┏┓╱╱╱╱╱┏┓╱╱
   ┃┏━┓┃╱╱╱╱╱┃┃╱╱┃┃╱╱╱╱╱┃┃╱╱╱
   ┃┗━┛┣┓┏┳━━┫┃┏┓┃┃╱╱┏━━┫┗━┳━━┓
   ┃┏━━┫┃┃┃┏┓┃┗┛┃┃┃╱┏┫┏┓┃┏┓┃━━┫
   ┃┃╱╱┃┗┛┃┃┃┃┏┓┃┃┗━┛┃┏┓┃┗┛┣━━┃
   ┗┛╱╱┗━━┻┛┗┻┛┗┛┗━━━┻┛┗┻━━┻━━┛
    ━━━━━━━━━━━━━━━━━━━━━━━━━━

    Copyright (c) 2022 Punk Labs LLC

    This section is part of OneTrick CRYPTID

    OneTrick CRYPTID is free software: you can redistribute it and/or modify it
    under the terms of the GNU General Public License as published by the Free
    Software Foundation, either version 3 of the License, or (at your option)
    any later version.

    OneTrick CRYPTID is distributed in the hope that it will be useful, but WITHOUT
    ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
    FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for
    more details.

    You should have received a copy of the GNU General Public License along with
    OneTrick CRYPTID.  If not, see <http://www.gnu.org/licenses/>.
*/

#![allow(warnings)]
/*
#![allow(unused_parens)]
#![allow(non_snake_case)]
#![allow(non_camel_case_types)]
#![allow(dead_code)]
#![allow(unused_variables)]
#![allow(unused_mut)]
#![allow(non_upper_case_globals)]
#![allow(clippy::double_parens)]
#![allow(clippy::needless_return)]
#![allow(clippy::excessive_precision)]
#![allow(clippy::unnecessary_cast)]
#![allow(clippy::manual_clamp)]
#![allow(clippy::collapsible_else_if)]
*/

pub mod output {
    include!("generated/DSP_Output.rs");
}
pub mod clap1 {
    include!("generated/DSP_Clap1.rs");
}
pub mod clap2 {
    include!("generated/DSP_Clap2.rs");
}
pub mod cowbell1 {
    include!("generated/DSP_Cowbell1.rs");
}
pub mod cowbell2 {
    include!("generated/DSP_Cowbell2.rs");
}
pub mod cowbell3 {
    include!("generated/DSP_Cowbell3.rs");
}
pub mod cymbal1 {
    include!("generated/DSP_Cymbal1.rs");
}
pub mod cymbal2 {
    include!("generated/DSP_Cymbal2.rs");
}
pub mod cymbal3 {
    include!("generated/DSP_Cymbal3.rs");
}
pub mod hihat_closed {
    include!("generated/DSP_HihatClosed.rs");
}
pub mod hihat_open {
    include!("generated/DSP_HihatOpen.rs");
}
pub mod kick {
    include!("generated/DSP_Kick.rs");
}
pub mod rimshot1 {
    include!("generated/DSP_Rimshot1.rs");
}
pub mod rimshot2 {
    include!("generated/DSP_Rimshot2.rs");
}
pub mod snare {
    include!("generated/DSP_Snare.rs");
}
pub mod tom1 {
    include!("generated/DSP_Tom1.rs");
}
pub mod tom2 {
    include!("generated/DSP_Tom2.rs");
}
pub mod tom3 {
    include!("generated/DSP_Tom3.rs");
}
pub mod tom4 {
    include!("generated/DSP_Tom4.rs");
}

